Skip to content
View as Markdown

PUT Update Label​

PUT
/labels/{id}

Update an existing label's slug, title, and color. The label must exist or a 404 error is returned. All fields are sanitized server-side.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The label ID to update.

Type
integer
Required

Request Body​

application/json
JSON
{
"label": {
"slug": "string",
"title": "string",
"color": "string"
}
}

Responses​

Label updated successfully.

application/json
JSON
{
"label": {
"id": 0,
"parent_id": 0,
"slug": "string",
"title": "string",
"description": "string",
"position": 0,
"settings": {
"color": "string"
},
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI